libosip(1)

NAME
libosip2 — The GNU oSIP library is a low layer SIP implementation.

SYNOPSIS

#include <include/osipparser2/osip_const.h>

#include <include/osipparser2/osip_md5.h>

#include <include/osipparser2/osip_list.h>

#include <include/osipparser2/osip_uri.h>

#include <include/osipparser2/osip_message.h>

#include <include/osipparser2/osip_port.h>

#include <include/osipparser2/sdp_message.h>

#include <include/osipparser2/osip_headers.h>

#include <include/osipparser2/osip_body.h>

#include <include/osipparser2/osip_rfc3264.h>

#include <include/osipparser2/osip_parser.h>

-losipparser2 [The uri, SIP and SDP parsers]

#include <include/osip2/osip.h>

#include <include/osip2/osip_fifo.h>

#include <include/osip2/osip_dialog.h>

#include <include/osip2/osip_mt.h>

#include <include/osip2/osip_condv.h>

#include <include/osip2/osip_negotiation.h> //OBSOLETE

-losip2 [The SIP transaction and the dialog API]

DESCRIPTION

This manual page documents briefly the libosip2 library.

API and Reference Documentation

API reference & Doxygen documentation is available for osip at http://www.gnu.org/software/osip/

osip general overview.

The file help/man/osip.html in the source distribution should give you a nice amount of informations about the osip stack.

Free software projects -send me your project name-

antisip, linphone, bayonne

BUGS

Please use the mailing list osip-dev@gnu.org

AUTHOR

This manual page was written by Aymeric Moizard amoizard at antisip.com.